aboutsummaryrefslogtreecommitdiff
path: root/templates/drupal-deploy.sh.erb
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2009-12-29 16:32:29 -0200
committerSilvio Rhatto <rhatto@riseup.net>2009-12-29 16:32:29 -0200
commit1d663359337b4c5074bb5605851fce0c73ea4445 (patch)
treeb62bc28e010155b77248c50e40f039c3ea176ac9 /templates/drupal-deploy.sh.erb
parente2a75915f76409cdc75f1b330c635be58f1950cc (diff)
downloadpuppet-drupal-1d663359337b4c5074bb5605851fce0c73ea4445.tar.gz
puppet-drupal-1d663359337b4c5074bb5605851fce0c73ea4445.tar.bz2
New management scripts
Diffstat (limited to 'templates/drupal-deploy.sh.erb')
-rw-r--r--templates/drupal-deploy.sh.erb20
1 files changed, 20 insertions, 0 deletions
diff --git a/templates/drupal-deploy.sh.erb b/templates/drupal-deploy.sh.erb
new file mode 100644
index 0000000..e7b51ae
--- /dev/null
+++ b/templates/drupal-deploy.sh.erb
@@ -0,0 +1,20 @@
+#!/bin/bash
+#
+# Deploy a fresh drupal tree.
+#
+
+if [ "$#" != "1" ]; then
+ echo "Usage: `basename $0` <version>"
+ exit 1
+fi
+
+NEW="$1"
+BASE="<%= $apache_www_folder %>"
+
+cd $BASE
+
+# Deploy a fresh drupal tree
+wget http://ftp.drupal.org/files/projects/drupal-$NEW.tar.gz
+tar zxvf drupal-$NEW.tar.gz && rm drupal-$NEW.tar.gz
+chown -R root.root drupal-$NEW/
+cd drupal-$NEW && rm -rf sites